/* Navbar Layout */
.site-header {
  width: 100%;
  position: sticky;
  top: 0;
  z-index: 1000;
  background-color: white;
  border-bottom: 2px solid rgba(128, 128, 128, 0.485);
  box-shadow:0px 1px 2px rgba(128, 128, 128, 0.485);
  transition: transform 0.2s ease;
}

.site-header.hide {
  transform: translateY(-100%);
}

.navbar {
  display: flex;
  align-items: center;
  justify-content: space-between;
  min-height: 60px;
  padding: 1rem 3rem;
}

.brand {
  display: flex;
  align-items: center;
  gap: 0.75rem;
}

.nav-links {
  list-style: none;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 2rem;
}

/* Navbar Responsive */
.nav-toggle {
  display: none;
  background: none;
  border: none;
  font-size: 1.5rem;
  cursor: pointer;
}


.toggleDiv{
  display: none;
  justify-content: center;
  align-items: center;
  gap :10px;
}
@media (max-width: 960px) {
  .toggleDiv{
    display: flex;
  }
  .nav-links {
    opacity: 0;
    pointer-events: none;
    position: absolute;
    top: 84px;
    left: 0;
    width: 100%;
    background: var(--bg-light);
    flex-direction: column;
    padding: 1rem 0;
    gap: 1rem;
    border-bottom: 1px solid rgba(128, 128, 128, 0.485);
    transform: translateY(-50px) scale(0.8);
    transition: opacity 0.1s ease-in-out,transform 0.1s ease-in-out ;
  }

  .nav-links.active {
    opacity: 1;
    pointer-events: all;
    transform: translateY(0) scale(1);
  }

  .nav-toggle {
    display: block;
  }

  .navbar {
    flex-wrap: nowrap;
    padding: 1rem;
  }
 
}

  

